import { UUID } from '.'

export interface OAuthProvider {
  name: string
  display_name: string
  default_url: string
}

export type OAuthStatus = 'created' | 'done' | 'error'

export interface OAuthCredentials {
  id: UUID
  status: OAuthStatus
  provider_name: string
  provider_display_name: string
  provider_url: string
  account_name: string | null
}
